Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Taxonomies

Create an evaluation taxonomy

PUT /evaluationtaxonomies/{name}

Creates or replaces the specified evaluation taxonomy with the provided definition.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Paramètres d’en-tête

Foundry-Features enum obligatoire

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Paramètres de chemin d’accès

name string obligatoire

The name of the evaluation taxonomy.

Corps de la demande

The evaluation taxonomy.

Content-Type: application/json
description string

The asset description text.

tags object

Tag dictionary. Tags can be added, removed, and updated.

[key: string] string
taxonomyInput agent obligatoire

Input configuration for the evaluation taxonomy.

Celui-ci peut avoir l'une des valeurs suivantes :
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum obligatoire

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent obligatoire

Base class for targets with discriminator support.

Celui-ci peut avoir l'une des valeurs suivantes :
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum obligatoire

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum obligatoire

The type of target, always azure_ai_agent.

azure_ai_agent
name string obligatoire

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] obligatoire

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

Réponses

The request has succeeded.

Corps

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string obligatoire

The name of the resource

version string obligatoire

The version of the resource

taxonomyInput agent obligatoire

Input configuration for the evaluation taxonomy.

Celui-ci peut avoir l'une des valeurs suivantes :
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum obligatoire

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent obligatoire

Base class for targets with discriminator support.

Celui-ci peut avoir l'une des valeurs suivantes :
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum obligatoire

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum obligatoire

The type of target, always azure_ai_agent.

azure_ai_agent
name string obligatoire

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] obligatoire

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

The request has succeeded and a new resource has been created as a result.

Corps

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string obligatoire

The name of the resource

version string obligatoire

The version of the resource

taxonomyInput agent obligatoire

Input configuration for the evaluation taxonomy.

Celui-ci peut avoir l'une des valeurs suivantes :
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum obligatoire

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent obligatoire

Base class for targets with discriminator support.

Celui-ci peut avoir l'une des valeurs suivantes :
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum obligatoire

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum obligatoire

The type of target, always azure_ai_agent.

azure_ai_agent
name string obligatoire

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] obligatoire

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

Client error

En-têtes

x-ms-error-code string

String error code indicating what went wrong.

Corps

Content-Type: application/json
error Azure.Core.Foundations.Error obligatoire

The error object.

code string obligatoire

One of a server-defined set of error codes.

message string obligatoire

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

En-têtes

x-ms-error-code string

String error code indicating what went wrong.

Corps

Content-Type: application/json
error Azure.Core.Foundations.Error obligatoire

The error object.

code string obligatoire

One of a server-defined set of error codes.

message string obligatoire

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Requête

PUT /evaluationtaxonomies/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026